package intrinsic.mx.controls;

public class DataGrid extends intrinsic.mx.controls.dataGridClasses.DataGridBase implements intrinsic.mx.core.IIMESupport {

	/** Accessors */
	public intrinsic.Array columns;
	public intrinsic.mx.core.IFactory itemRenderer;
	public boolean draggableColumns;
	public int columnCount;
	public intrinsic.mx.controls.listClasses.IListItemRenderer editedItemRenderer;
	public double minColumnWidth;
	public String imeMode;
	public double baselinePosition;
	public Object editedItemPosition;

	/** Variables */
	public boolean editable;
	public boolean resizableColumns;
	public boolean sortableColumns;
	public intrinsic.mx.controls.listClasses.IListItemRenderer itemEditorInstance;
	public boolean allowDragSelection;
	public boolean menuSelectionMode;
	public boolean liveScrolling;
	public boolean showScrollTips;
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */
	public static intrinsic.Function createAccessibilityImplementation;

/** Contructors */
public DataGrid() {
}


/** Static Methods */

/** Methods */
public native void createItemEditor(int arg0, int arg1);
public native String itemToLabel(Object arg0);
public native void destroyItemEditor();
public native boolean isItemEditable(Object arg0);
public native double measureWidthOfItems();
public native double measureWidthOfItems(int arg0);
public native double measureWidthOfItems(int arg0, int arg1);
public native void showDropFeedback(intrinsic.mx.events.DragEvent arg0);
public native double measureHeightOfItems();
public native double measureHeightOfItems(int arg0);
public native double measureHeightOfItems(int arg0, int arg1);
public native void hideDropFeedback(intrinsic.mx.events.DragEvent arg0);
public native void invalidateDisplayList();
public native int calculateDropIndex();
public native int calculateDropIndex(intrinsic.mx.events.DragEvent arg0);

}
